diff --git a/configure b/configure
index ea52cf9..695c764 100755
--- a/configure
+++ b/configure
@@ -43,6 +43,7 @@ Optional features:
   --disable-allstatic           do not prefer linking against static libraries [enabled]
   --enable-static-libc          make entirely static binaries [disabled]
   --enable-slashpackage[=ROOT]  assume /package installation at ROOT [disabled]
+  --enable-nix                  assume Nix package manager [disabled]
   --livedir=DIR                 default live directory [/run/s6-rc]
 
 EOF
@@ -140,6 +141,7 @@ manualsysdeps=false
 shared=false
 static=true
 slashpackage=false
+nix=false
 sproot=
 home=
 exthome=
@@ -180,6 +182,8 @@ for arg ; do
     --enable-slashpackage=*) sproot=${arg#*=} ; slashpackage=true ; ;;
     --enable-slashpackage) sproot= ; slashpackage=true ;;
     --disable-slashpackage) sproot= ; slashpackage=false ;;
+    --enable-nix) nix=true ;;
+    --disable-nix) nix=false ;;
     --enable-cross=*) cross=${arg#*=} ;;
     --enable-cross) ;;
     --disable-cross) cross= ;;
@@ -428,6 +432,11 @@ if $slashpackage ; then
   echo "#define ${package_macro_name}_EXTBINPREFIX \"$extbinprefix/\""
   echo "#define ${package_macro_name}_LIBEXECPREFIX \"$binprefix/\""
   echo "#define ${package_macro_name}_EXTLIBEXECPREFIX \"$extbinprefix/\""
+elif $nix ; then
+  echo "#define ${package_macro_name}_BINPREFIX \"$bindir/\""
+  echo "#define ${package_macro_name}_EXTBINPREFIX \"$bindir/\""
+  echo "#define ${package_macro_name}_LIBEXECPREFIX \"$libexecdir/\""
+  echo "#define ${package_macro_name}_EXTLIBEXECPREFIX \"$libexecdir/\""
 else
   echo "#define ${package_macro_name}_BINPREFIX \"\""
   echo "#define ${package_macro_name}_EXTBINPREFIX \"\""

